
Figure - Bug #116151
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】打开系统音乐后，使用遥控器长按关闭，音乐仍在播放
2023-02-10 14:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-10

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101

Reproducibility: Every time Fixed Version: 2023-02-15

Test Type: ST Root cause: 音乐在前台播放的时候，杀掉activity以及相关服务时，音乐播放器会在后台起一个服务继续播放��解决方案：如果前台是音乐播放器就进入home，待后台播放的服务起来后一起杀掉

Description

【前提条件】

1、设备已开机

2、本地有音乐

【测试步骤】

1、使用系统自带的音乐应用播放音乐

2、使用遥控器长按关闭音乐应用

【预期结果】

2、音乐被关闭

【实际结果】

2、任务管理器中无音乐进程卡片，但是音乐仍在播放

History

#1 - 2023-02-14 18:46 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Root cause set to 音乐在前台播放的时候，杀掉activity以及相关服务时，音乐播放器会在后台起一个服务继续播放

解决方案：如果前台是音乐播放器就进入home，待后台播放的服务起来后一起杀掉

■ Current conclusion

代码已提交

■ My analysis

音乐在前台播放的时候，杀掉activity以及相关服务时，音乐播放器会在后台起一个服务继续播放

解决方案：如果前台是音乐播放器就进入home，待后台播放的服务起来后一起杀掉

■ Next action

入库代码

#2 - 2023-02-15 09:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181713 general/platform/vendor/thundercom

2025-07-04 1/2

Pre_figure_turbox-c2130c-la1.1-qssi12 tianying.cheng@thundersoft.com



m/apps/RemoteControlServer -dev

AF:RemoteControl: Server - Fixed  Close the Music app and the music won't stopTC-RID: 1201-0206001IssueID: TS-R-BUG-116151Change-Id:

I7c89fd10ea28c984613fdcf9a5d448e1551a9439

#3 - 2023-02-15 09:57 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-15

■ Current conclusion

代码已入库

■ My analysis

音乐在前台播放的时候，杀掉activity以及相关服务时，音乐播放器会在后台起一个服务继续播放

解决方案：如果前台是音乐播放器就进入home，待后台播放的服务起来后一起杀掉

■ Submit URl

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/181713

#4 - 2023-02-15 09:58 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

#5 - 2023-02-16 10:30 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101

2.16

验证通过

#6 - 2023-02-16 10:30 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

2025-07-04 2/2

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/181713

